/*
 * Licensed to the Apache Software Foundation (ASF) under one or more
 * contributor license agreements.  See the NOTICE file distributed with
 * this work for additional information regarding copyright ownership.
 * The ASF licenses this file to You under the Apache License, Version 2.0
 * (the "License"); you may not use this file except in compliance with
 * the License.  You may obtain a copy of the License at
 * 
 *      http://www.apache.org/licenses/LICENSE-2.0
 * 
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
package org.apache.portals.applications.webcontent.proxy.impl;

import org.apache.portals.applications.webcontent.proxy.HttpReverseProxyPathMapper;
import org.apache.portals.applications.webcontent.proxy.HttpReverseProxyPathMapperProvider;
import org.apache.portals.applications.webcontent.proxy.ReverseProxyRewritingContext;

/**
 * DefaultReverseProxyRewritingContext
 * 
 * @version $Id: DefaultReverseProxyRewritingContext.java 820363 2009-09-30 17:45:51Z woonsan $
 */
public class DefaultReverseProxyRewritingContext implements ReverseProxyRewritingContext
{
    
    private HttpReverseProxyPathMapper httpReverseProxyPathMapper;
    private HttpReverseProxyPathMapperProvider httpReverseProxyPathMapperProvider;
    private String rewritingContextPath;
    
    public DefaultReverseProxyRewritingContext(HttpReverseProxyPathMapper httpReverseProxyPathMapper, HttpReverseProxyPathMapperProvider httpReverseProxyPathMapperProvider, String rewritingContextPath)
    {
        this.httpReverseProxyPathMapper = httpReverseProxyPathMapper;
        this.httpReverseProxyPathMapperProvider = httpReverseProxyPathMapperProvider;
        this.rewritingContextPath = rewritingContextPath;
    }
    
    public HttpReverseProxyPathMapper getHttpReverseProxyPathMapper()
    {
        return httpReverseProxyPathMapper;
    }

    public HttpReverseProxyPathMapperProvider getHttpReverseProxyPathMapperProvider()
    {
        return httpReverseProxyPathMapperProvider;
    }

    public String getRewritingContextPath()
    {
        return rewritingContextPath;
    }
}
